Bug 1025791 - [Doc Bug Fix] EAP 6 supports JDK 7
[Doc Bug Fix] EAP 6 supports JDK 7
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.1
All All
unspecified Severity high
: GA
: EAP 6.3.0
Assigned To: Russell Dickenson
Russell Dickenson
: Documentation, EasyFix
Depends On:
Blocks: 1089234
  Show dependency treegraph
 
Reported: 2013-11-01 11:24 EDT by Shakil Siddique
Modified: 2015-02-20 05:21 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build: CSProcessor Builder Version 1.12 Build Name: 19232, Installation Guide-6.1-2 Build Date: 05-09-2013 10:02:21 Topic ID: 234-474885 [Specified]
Last Closed: 2014-06-28 11:25:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shakil Siddique 2013-11-01 11:24:00 EDT
Title: JBoss EAP 6 Installation Prerequisites

Describe the issue:

Documentation states that "JDK 6 is required even if you have JDK7", whereas in the Supported Configuration JDK 7 is documented.

Suggestions for improvement:

Suggest JDK 7 or 6 both can be used.


Additional information:

https://access.redhat.com/site/articles/111663
Comment 2 Scott Mumford 2014-02-26 00:14:13 EST
Moving to ON_QA.

The changes should be available for review on the documentation stage within an hour or so from this comment.

http://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/
Comment 3 Scott Mumford 2014-02-26 00:15:58 EST
Moving to ON_QA.

The changes should be available for review on the documentation stage within an hour or so from this comment.

http://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/
Comment 4 Pavel Janousek 2014-03-05 03:21:23 EST
Fernando - could you confirm the requirements changed in the past and JDK-1.6 isn't needed anymore for RPM based installation please?

PS: I'm not aware of any change in requirements, so from my knowledge, change requested in *this* BZ is invalid.
Comment 5 Fernando Nasser 2014-03-05 18:06:08 EST
I believe on RHEL-6 only (RHEL-6.8?) one can now install now only the jdk7 from OpenJDK w/o having to bring in a jdk 1.6 as well.  

This is not yet true on RHEL-5 though:

https://bugzilla.redhat.com/show_bug.cgi?id=916287

And for customers running an older RHEL-6 it would not be true either.

The situation of the JDKs on RHEL-7 is not yet fully known.

I believe it may be premature to change the text.
Comment 6 Pavel Janousek 2014-03-06 07:44:55 EST
Thank you Fernando for clarification.

In that case I have to reject this change and ECS team should revert it in documentation at all.
Comment 7 sgilda 2014-05-27 14:47:31 EDT
Misha, there is a bug that seems to be related to this one: Bug 1089234

I hope you don't mind that I put it on your queue.
Comment 8 Scott Mumford 2014-05-28 20:42:50 EDT
Reverting back to eap-docs assignee as Misha no longer works on EAP documentation.

Linking this bug and bug 1089234.
Comment 9 Russell Dickenson 2014-05-29 23:38:48 EDT
I have amended the text to the following. When the Installation Guide build on the docs-devel site is updated I will set this ticket to ON_QA.

"On Red Hat Enterprise Linux 5, JDK 6 must be installed, even if JDK 7 only is to be used. On Red Hat Enterprise Linux 6 and higher, only a JDK 7 is required. This can be obtained by subscribing to the <literal>supplementary</literal> software channel for your Red Hat Enterprise Linux installation. For example; the channel for Red Hat Enterprise Linux version 6 installed on i386 architecture is <systemitem>rhel-i386-server-supplementary-6</systemitem>."
Comment 10 Russell Dickenson 2014-06-09 19:43:37 EDT
Topic(s):
JBoss EAP 6 Installation Prerequisites [234]

Change(s) made:
Added clarification of the requirement of JDK 6.
-----------------------

The amended text can be found in revision 6.3.0-17 (or higher) of the Installation Guide at [1].

[1] http://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/6.3/html-single/Installation_Guide/index.html#Installation_Prerequisites_for_JBoss_Enterprise_Application_Platform_6
Comment 11 Pavel Janousek 2014-06-10 04:21:20 EDT
Verified in version Revision 6.3.0-17, fixed.

Note You need to log in before you can comment on or make changes to this bug.